MirrorTea 🐦
=========

**New lite Matrix <-> Telegram bridge for personal use, replacement of
mautrix-telegram**.


For the matrix server is represented by a single and regular user. To simulate chats with different users, creates rooms in matrix, and sets /roomnick and /roomavatar corresponding to the simulated user in telegram.

For telegram, it can be represented as a single bot.

#### Advantages over the current mautrix bridge:

- Supports the bot's private message bridge
- Requires no permanent host (server)
- Can run from a phone (termux) or user computer
- Does not require a domain
- Doesn't require a statistical IP
- No synapse server required
- Easy to deploy, unlike synapse
- Doesn't require any computing power like synapse
- Not tied to a specific matrix server

#### Disadvantages:

- Doesn't support papits
- No support for groups

## Install 🌺

#### Clone repository


```git clone https://inex.dev/def/MirrorTea && cd MirrorTea```


#### Then edit ```.env``` secrets config

```mv .env.example .env```

```nano .env```


#### Run on *unix-like systems:

```pip install -r requirements.txt```

```python3 mirrortea```

#### Run with docker:

```docker-compose up --build```

kotov isprav eto
